Jump to content
  • 0
MatiWOT

I can't play Truckers MP

Question

5 answers to this question

Recommended Posts

  • 1

Hello @MatiWOT

 

you have to downgrade your game in your steam library -> Ets2 -> properties -> Betas to "temporary 1.34" in order to play TruckersMP.

  • Upvote 1

Share this post


Link to post
Share on other sites
  • 0

Hello @MatiWOT,

 

Has your problem been solved with the answer given above?
Your confirmation of the status of your issue/question helps us keep the forum always organized!

 

Kind Regards,
BL4CK$K1LL
TruckersMP Support

Share this post


Link to post
Share on other sites
  • 0

Dear @MatiWOT

 

Due to your topic has been inactive for 3 days since the last reply,i will move your topic to Inactive Topics.

If you still need assistance,feel free to DM  me or other support team members,we will open this again!

 

Thanks for all participation!

Thank you for your understanding!

 

 

//Locked and Moved to Inactive

Share this post


Link to post
Share on other sites
  • 0

Hello all

 

 

This topic has been inactive for a further 2 days ,I will move this topic to Unsolved Topics 

If you still need any help ,create a new topic or contact us directly by submitting a support ticket here:https://www.truckersmp.com/support/tickets

 

 

 

//Moved to Unsolved

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.

×